/*
 * MainApplet.java
 *
 * Created on Ketvirtadienis, 2007, Sausio 25, 16.55
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package Main;

import java.awt.*;
import java.security.*;
import java.io.*;
import javax.swing.*;
import java.applet.*;

public class MainApplet extends JApplet {

        public MainApplet()
	{
            super();
            getContentPane().add(MainWindow.getInstance().getContentPane());
        }

	public void init()
	{
            MainWindow.getInstance().setCodeBase(this.getClass().getResource(MainWindow.ENVIRONMENT_FILE));
            super.init();
            MainWindow.getInstance().loadEnvironment();		
	}
	
	public void stop()
	{
            MainWindow.getInstance().saveEnvironment();
	}
}
